Subject: Re: bug#66288: 29.1; Performance regression using pipe for subprocess

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Oct 2023 08:34:02 +0300

> Date: Thu, 5 Oct 2023 13:48:55 +0300
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 05/10/2023 08:50, Eli Zaretskii wrote:
> >> Date: Thu, 5 Oct 2023 01:54:43 +0300
> >> Cc:[email-masked],[email-masked],[email-masked]
> >> From: Dmitry Gutov<[email-masked]>
> >>
> >> On 05/10/2023 01:49, Paul Eggert wrote:
> >>>> +      fcntl (inchannel, F_SETPIPE_SZ, readmax);
> >>> This call can fail if you aren't root and you exceed the system limit in
> >>> /proc/sys/fs/pipe-max-size. So I suggest that if this fnctl fails with
> >>> EPERM, trying it again after clipping to that limit.
> >> Perhaps we'd rather fail loudly, so the user is aware that their
> >> customized value cannot be applied.
> > Why not silently?  The clip_to_bounds call can already silently change
> > the original request anyway.
> 
> clip_to_bounds clips to 4294967296 or higher, if I'm not mistaken. And 
> my current system-wide limit is 1048576.
> 
> I usually like to know when my applied configuration is not used (or 
> use-able). Anyway, it's not a hard requirement (not for emacs-29 anyway).

OK, I installed the change on the emacs-29 branch, and I'm therefore
closing this bug.